export interface IIndexedDbService<E> {
  create(payload: E): Promise<void>;
  get(): Promise<E>;
  getAll(): Promise<E[]>;
  update(payload: E): Promise<void>;
  delete(): Promise<void>;
}

export interface LSSetItemEntity {
  key?: string;
  value: string;
}

export interface ILocalStorageStorage {
  create(payload: LSSetItemEntity): void;
  get(key: string): string | null | undefined;
  delete(key: string): void;
}
